Subject: Re: bug#7651: 23.2.91; Rmail doesn't allow displaying text attachments conveniently

From: Kenichi Handa <[email-masked]>
Date: Thu, 13 Jan 2011 10:21:33 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> You mean, the one with cp1252 I reported in bug#7626?  Or the one
> with EOL being undecided?  I guess the former.

Yes.

> I attach one such message below (indented 2 columns).  This is an even
> worse offender: the message headers clearly say that it's in
> ISO-8859-1, but I still get cp1252 in the Rmail buffer.  I don't know
> where that value comes from.  FWIW, my default-buffer-file-coding-system
> is iso-latin-1-dos and w32-system-coding-system is cp1255.

I found that rfc2047-decode-region (called while preparing
the message header) sets last-coding-system-used to
windows-1252.  That is because mm-util.el defines
mm-charset-override-alist as this:

  '((gb2312 . gbk)
    (iso-8859-1 . windows-1252)
    (iso-8859-8 . windows-1255)
    (iso-8859-9 . windows-1254))

And explains it as this:

i.e. treat iso-8859-1 as windows-1252.  windows-1252 is a
superset of iso-8859-1."

At the moment, I don't know how (or where) to fix this
problem, but at least, it seems that setting
buffer-file-coding-system to windows-1252 for iso-8859-1
message won't cause an actual problem.

---
Kenichi Handa
[email-masked]